summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorLuo Jinghua <sunmoon1997@gmail.com>2010-10-20 05:29:42 +0800
committerLuo Jinghua <sunmoon1997@gmail.com>2010-10-20 05:29:42 +0800
commit456b2e8625f542b61337c78a7c419d2137955b55 (patch)
treefc0abfb4534d0b861d3658334aebf1fc5019db9f /sys-boot
Initial commit
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/plymouth/Manifest4
-rw-r--r--sys-boot/plymouth/files/0.8.3-gentoo-fb.patch25
-rw-r--r--sys-boot/plymouth/metadata.xml10
-rw-r--r--sys-boot/plymouth/plymouth-0.8.3-r3.ebuild61
4 files changed, 100 insertions, 0 deletions
diff --git a/sys-boot/plymouth/Manifest b/sys-boot/plymouth/Manifest
new file mode 100644
index 0000000..5320920
--- /dev/null
+++ b/sys-boot/plymouth/Manifest
@@ -0,0 +1,4 @@
+AUX 0.8.3-gentoo-fb.patch 804 RMD160 4e46da3ee7b36b2f6618089c42ab06a54fc5c450 SHA1 6a1f211fe2437205da767bffcdb50c83e1725a2a SHA256 5496471c4ace51561054aadce35b7772ac65b54ace04329386d2b2dfc1ef8c8f
+DIST plymouth-0.8.3.tar.bz2 763575 RMD160 bb5c13e4eb48d8b881a4d2cc15190c377430f672 SHA1 30135d3b2db42778b32b6d2d9e7e0da90f0da599 SHA256 2e51abbc087228f7910302334755d0190fc9e923eae9992150adb0f6cccc9077
+EBUILD plymouth-0.8.3-r3.ebuild 1477 RMD160 ae8bb254fc42c12090f14bdbac9203e8b82c8edc SHA1 8029f89be8b690c6aa4fe9f77bf914b91ba8c61a SHA256 e1e4cfdd081427a17ae013998708af9b87febd724c90cc384df379d5fbd0370b
+MISC metadata.xml 345 RMD160 881555cfabfd407c7b32bd788c52090754194727 SHA1 0c8592bafb06b35faafff618c0763374e09c06a6 SHA256 7f0959f62be9fb7a0fcaedf09414289b6d85996e23d6c48049014bec618f92f5
diff --git a/sys-boot/plymouth/files/0.8.3-gentoo-fb.patch b/sys-boot/plymouth/files/0.8.3-gentoo-fb.patch
new file mode 100644
index 0000000..cb0f0d5
--- /dev/null
+++ b/sys-boot/plymouth/files/0.8.3-gentoo-fb.patch
@@ -0,0 +1,25 @@
+From 5fd3ed5a1f661eb1d99e1d4df5edad8410cc54e3 Mon Sep 17 00:00:00 2001
+From: root <root@christoph.egore.lan>
+Date: Sun, 25 Oct 2009 03:55:54 +0100
+Subject: [PATCH] Gentoo does not have /dev/fb, but /dev/fb0 (at least on i915 KMS)
+
+---
+ src/plugins/renderers/frame-buffer/plugin.c | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/src/libply/ply-frame-buffer.c b/src/libply/ply-frame-buffer.c
+index a1e4fcd..19aab4b 100644
+--- a/src/plugins/renderers/frame-buffer/plugin.c
++++ b/src/plugins/renderers/frame-buffer/plugin.c
+@@ -46,7 +46,7 @@
+ #include <linux/fb.h>
+
+ #ifndef PLY_FRAME_BUFFER_DEFAULT_FB_DEVICE_NAME
+-#define PLY_FRAME_BUFFER_DEFAULT_FB_DEVICE_NAME "/dev/fb"
++#define PLY_FRAME_BUFFER_DEFAULT_FB_DEVICE_NAME "/dev/fb0"
+ #endif
+
+ struct _ply_frame_buffer
+--
+1.6.5
+
diff --git a/sys-boot/plymouth/metadata.xml b/sys-boot/plymouth/metadata.xml
new file mode 100644
index 0000000..1216558
--- /dev/null
+++ b/sys-boot/plymouth/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>sunmoon1997@gmail.com</email></maintainer>
+<use>
+ <flag name="pango">using pango to draw text</flag>
+ <flag name="gdm">transit to gdm without flicker</flag>
+</use>
+</pkgmetadata>
diff --git a/sys-boot/plymouth/plymouth-0.8.3-r3.ebuild b/sys-boot/plymouth/plymouth-0.8.3-r3.ebuild
new file mode 100644
index 0000000..47c8c5a
--- /dev/null
+++ b/sys-boot/plymouth/plymouth-0.8.3-r3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit autotools mount-boot
+
+DESCRIPTION="Graphical boot animation (splash) and logger"
+HOMEPAGE="http://cgit.freedesktop.org/plymouth/"
+SRC_URI="http://cgit.freedesktop.org/${PN}/snapshot/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="pango gdm"
+
+DEPEND="x11-libs/libdrm
+ >=media-libs/libpng-1.2.16
+ >=x11-libs/gtk+-2.12.0
+ pango? ( >=x11-libs/pango-1.21 )
+ "
+RDEPEND="${DEPEND}
+ >=sys-kernel/dracut-007
+ "
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV}-gentoo-fb.patch
+ eautoreconf || die "eautoreconf failed"
+}
+
+src_configure() {
+ econf $(use_enable pango) $(use_enable gdm gdm-transition)
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "install failed"
+
+ cd "${S}"/scripts
+ mkdir -p "${D}"/boot
+ chmod a+x ./plymouth-generate-initrd
+ PLYMOUTH_DESTDIR="${D}/boot" ./plymouth-generate-initrd
+ cd "${S}"
+
+ #work around qa warning
+ find "${D}" -type f -name '*.la' -exec rm -rf '{}' '+' || die "la removal failed"
+ local libdir
+ for libdir in "${D}"/lib "${D}"/lib64; do
+ [[ -d ${libdir} ]] && {
+ rm "${libdir}"/libply.a
+ rm "${libdir}"/libply-splash-core.a
+ }
+ done
+}
+
+pkg_postinst() {
+ elog "This version of ${PN} has stopped installing .la files. This may"
+ elog "cause compilation failures in other packages. To fix this problem,"
+ elog "install dev-util/lafilefixer and run:"
+ elog "lafilefixer --justfixit"
+}